| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::Utils::AlgNameSelector Class Reference

The trivial selector of algorithm by type. More...

`#include <GaudiAlg/GetAlg.h>`

Inheritance diagram for Gaudi::Utils::AlgNameSelector:
[legend]
Collaboration diagram for Gaudi::Utils::AlgNameSelector:
[legend]

## Public Member Functions
| AlgNameSelector ()=delete
| AlgNameSelector (std::string name)
| constructor form the name More...
bool | operator() (const IAlgorithm *a) const override
| the only one essential method: More...
Public Member Functions inherited from Gaudi::Utils::AlgSelector
virtual | ~AlgSelector ()=default

## Private Attributes
std::string | m_name
| algorithm name More...

## Detailed Description

The trivial selector of algorithm by type.

See also
  Gaudi::Utils::AlgSelector

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-09-07

Definition at line 59 of file GetAlg.h.

## Constructor & Destructor Documentation

Gaudi::Utils::AlgNameSelector::AlgNameSelector | ( |  | ) |
| delete

Gaudi::Utils::AlgNameSelector::AlgNameSelector | ( | std::string | name | ) |
| inline

constructor form the name

Definition at line 64 of file GetAlg.h.

64 : m_name ( std::move(name) ) {}
std::move
T move(T...args)
Gaudi::Utils::AlgNameSelector::m_name
std::string m_name
algorithm name
Definition: GetAlg.h:70

## Member Function Documentation

bool Gaudi::Utils::AlgNameSelector::operator() | ( | const IAlgorithm * | a | ) | const
| inline override virtual

the only one essential method:

Implements Gaudi::Utils::AlgSelector.

Definition at line 66 of file GetAlg.h.

67 { return a && a->name() == m_name; }
Gaudi::Utils::AlgNameSelector::m_name
std::string m_name
algorithm name
Definition: GetAlg.h:70

## Member Data Documentation

std::string Gaudi::Utils::AlgNameSelector::m_name
| private

algorithm name

Definition at line 70 of file GetAlg.h.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/GetAlg.h